﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class PieChart_Names : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!IsPostBack)
		{
			DataTable ds = GetData();
			for (int i = 0; i < ds.Rows.Count; i++)
			{
				SeriesItem si = new SeriesItem();
				si.YValue = (decimal)ds.Rows[i]["data"];
				si.Name = (string)ds.Rows[i]["name"];
				si.BackgroundColor = System.Drawing.Color.FromName((string)ds.Rows[i]["color"]);
				PieChart1.PlotArea.Series[0].Items.Add(si);
			}
		}

	}

	protected DataTable GetData()
	{
		DataTable tbl = new DataTable();
		tbl.Columns.Add(new DataColumn("data", typeof(decimal)));
		tbl.Columns.Add(new DataColumn("color", typeof(string)));
		tbl.Columns.Add(new DataColumn("name", typeof(string)));
		tbl.Rows.Add(new object[] { 100, "#66FFCC", "First" });
		tbl.Rows.Add(new object[] { 200, "#FF66FF", "Second" });
		tbl.Rows.Add(new object[] { 300, "#0099FF", "Third" });
		tbl.Rows.Add(new object[] { 400, "#BBBBBB", "Fourth" });
		return tbl;
	}
}